package operation

import "shylinux.com/x/ice"

type userCloud struct{ Table }

func init() { ice.TeamCtxCmd(userCloud{}) }

type UserCloudRole int

const (
	UserCloudVisitor UserCloudRole = iota
	UserCloudCreator
	UserCloudLeader
	UserCloudWorker
	UserCloudServer
)

var UserCloudRoleList = map[UserCloudRole]string{
	UserCloudVisitor: "visitor",
	UserCloudCreator: "creator",
	UserCloudLeader:  "leader",
	UserCloudWorker:  "worker",
	UserCloudServer:  "server",
}

func (s UserCloudRole) String() string { return UserCloudRoleList[s] }
